< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package mutationtesting
  Definition Classes
    root
- DirOps
- FileOps
- Location
- MetricMutant
- Metrics
- MetricsDirectory
- MetricsFile
- MetricsResult
- MetricsResultRoot
- MutantResult
- MutantStatus
- MutationTestReport
- MutationTestResult
- Position
- Thresholds

c

mutationtesting

# MutantResult 

###

#### final case class MutantResult(id: String, mutatorName: String, replacement: String, location: Location, status: MutantStatus) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MutantResult
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MutantResult(id: String, mutatorName: String, replacement: String, location: Location, status: MutantStatus)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
8.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
9.  val id: String
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  val location: Location
12.  val mutatorName: String
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  val replacement: String
17.  val status: MutantStatus
18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped